Tag Archives: CVE-2018-10981

Xen x86 HVM Guest OS Users Denial of Service Vulnerability [CVE-2018-10981]

CVE Number – CVE-2018-10981

A vulnerability in Xen could allow a local attacker on a guest system to cause a denial of service (DoS) condition on a host system.

The vulnerability is due to a failure to reject invalid transitions between states by the affected software. An attacker on a guest system could exploit this vulnerability by making a malicious request designed to force the QEMU device model on the system to switch the request between two states. A successful exploit could trigger an infinite loop condition on the host system, resulting in a DoS condition on the affected system.

Xen.org has confirmed the vulnerability and released software updates.

Analysis
  • To exploit this vulnerability, the attacker must have user-level access to a guest system being hosted by a targeted host system. This access requirement could reduce the likelihood of a successful exploit.

    Only x86 systems are affected by this vulnerability. ARM systems are not affected.

Safeguards
  • Administrators are advised to apply the appropriate updates.

    Administrators are advised to allow only trusted users to access local systems.

    Administrators are advised to allow only privileged users to access administration or management systems.

    Administrators are advised to monitor critical systems.

Vendor Announcements
  • Xen.org has released a security advisory at the following link: XSA-262
Fixed Software